
* {
    box-sizing: border-box; 
  }
  
  body {
    display: flex;
    min-height: 100vh;
    flex-direction: column;
    font-family: 'Bai Jamjuree', sans-serif;
    margin: 0;
  }
  
  #main {
    display: flex;
    flex: 1;
  }
  
  #main > article {
    flex: 1;
  }
  
  #main > nav, 
  #main > aside {
    flex: 0 0 50vw;
   
  }
  
  
  
  #header-image-menu {
      position: relative;
      top: 0%;
      left: 0%;
  }
  
  #header-image-menu img {
      width: 100%;
  }
  
  .headcontainer {
      background: rgb(236, 235, 235);
      display: flex;
      flex-direction: row;
      flex-wrap: nowrap;
      align-items: flex-start;
      justify-content: flex-start; 
  }
  
  .spaceline{
    line-height: 1em;
    max-width: revert;
}



.anglenav {
    margin-left: -3px;
}

  #click-foot-logo{
    border-bottom: none;
    border-top: none;
    padding-left: 10px;
}


/*----------------------------------------section1-main------------*/
h1{
    color: #e20612;
    font-size: 3em;
}
 
h2{
    font-size: 3em;
}

.container{
    align-items: center;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    padding-left: 50px;
    padding-top: 60px;
    padding-bottom: 60px;
  
   
    width: 100%;
   
}

.box-one{
    width: 50%;
    text-align: left;
    align-items: center;
    padding-left: 20px;
    padding-right: 20px;
}

.box-two{
    width: 50%;
    height: 700px;
  text-align: center;
  background-image: url(../images/page-mecan-auto.jpg);
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  padding-left: 100px;
}

.btndemande {
    margin-top: 50px;
    display: flex;
    background-color: #e20612;
    justify-content: center;
    align-items: center;
    color: white;
    width: 70%;
    
    margin-bottom: 20px;
}

.btndemande:hover {
    display: flex;
    background-color: white;
    border: 2px solid #e20612;
    justify-content: center;
    align-items: center;
    color: #e20612;
    
}

/*---------------------------------------fin-section1-main--------------*/




.container-for-line{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

.box-titre{
    font-size: 1.5em;
}

#titre-services{

    text-align: center;
    border-bottom: 3px solid #e20612;
    font-size: 1.7em;
  
}

.red-color{
    color: #e20612;
    font-size: 1.3em;
}


.txt-black{
    color: black;
}

.flex-container-tree{
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content:flex-start;
    margin-top:-40px;
    margin-bottom: 100px;
}



.container-tree-one{
    width: 50%;
    height: 500px;
    background-image: url(../images/page-mecan-auto-two.jpg);
background-position: right;
background-repeat: no-repeat;
background-size: contain;
margin-top: 65px;
margin-right: -20px;
}

.container-tree-two{
    width: 50%;
    margin-left: 200px;
   margin-top: 40px;
    margin-bottom: 20px;
}

.moteur-diesel{
    width: 50%;
    height: 500px;
    background-image: url(../images/mecanique-automobile-two.jpg);
background-position: left;
background-repeat: no-repeat;
background-size: contain;
margin-top: 30px;
margin-right: 20px;
}


  

  /*--------------------début media query maximum d'ecran de 1674px et moin ----------*/

  @media only screen and (max-width: 1674px){

  

    .headcontainer {
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
        align-items: center;
        justify-content: center;
        width: 100%;
    }

    .anglenav{
        display: none;
    }

    
    
    .redone {
        text-align: center;
        color: #e20612;
        font-family: 'Bai Jamjuree', sans-serif;
    }

    .container{
       
        padding-bottom: 60px;
      
        width: 100%;
       
    }
    
    .anglenav-foot{
        display: none;
    }
}


@media only screen and (max-width: 1250px){
    .container{
        width: 100%;
        align-items: center;
        display: flex;
        flex-direction: column;
       text-align: center
    }
    
.box-one {
    width: 100%;
    text-align: left;
    align-items: center;
    padding-left: 20px;
    padding-right: 20px;
}
}

@media only screen and (max-width: 1048px){
    .headcontainer {
        position: fixed;
    }
    .container {
        margin-top: 63px;
        padding-bottom: unset;
    }
    .box-one {
        padding-left: unset;
    }
    .box-two {
        height: 511px;
    }
}
    
    /*tablet*/
@media only screen and (max-width: 768px){

    .container {
        margin-top: 144px;
    }

    #titre-services {
        width: 100%;
        text-align: center;
        border-bottom: 3px solid #e20612;
       
        font-size: 1em;
    }

.flex-container-tree {
    width: 100%;
    display: flex;
    padding: 0px 0px 0px 0px;
    flex-direction: column-reverse;
    align-items: center;
    justify-content: flex-start;
    margin-top: 0px;
    margin-bottom: 10px;
    text-align: left;
}

.container-tree-one {
    width: 100%;
    height: 350px;
    background-image: url(../images/page-mecan-auto-two.jpg);
    background-position: right;
    background-repeat: no-repeat;
    background-size: contain;
    margin-top: 10px;
   
}

.container-tree-two {
    width: 100%;
    margin-left: 20px;
    margin-top: 20px;
    margin-bottom: 20px;
    padding-left: 20px;
}

.box-two {
    width: 50%;
    height: 350px;
    text-align: center;
    background-image: url(../images/page-mecan-auto-sm.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    padding-left: 100px;
    margin-top: unset;
}


.moteur-diesel {
    width: 100%;
    height: 350px;
    background-image: url(../images/mecanique-automobile-two-sm.jpg);
    background-position: left;
    background-repeat: no-repeat;
    background-size: contain;
    margin-top: 30px;
    margin-right: 20px;
    margin-bottom: 50px;
   
}

.spaceline {
    line-height: 0.8em;
    max-width: max-content;
}

.red-color {
    font-size: 1.4em;
}

.container-tree-two {
    padding-left: 10px;
    padding-right: 27px;
}

}




/* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 600px) {

    .container {
        align-items: center;
        padding-left: 0px; 
        padding-top: 55px;
        padding-bottom: unset;
        width: 100%;
    }

    h1 {
        display: inline;
        color: #e20612;
        font-size: 1.4em;
    }

    h2 {
        font-size: 1.4em;
    }

    .box-one {
        padding-left: 20px;
    }

    .iconediagnostique{
        width: 100%;
    }

    .btndemande {
        margin-top: 60px;
        display: flex;
        background-color: #e20612;
        justify-content: center;
        align-items: center;
        color: white;
        width: 250px;
        height: 50px;
        margin-bottom: 0px;
    }

    .spaceline {
        line-height: 0.8em;
        max-width: max-content;
    }
}

@media only screen and (max-width: 515px){
    .box-two {
        width: 72%;
    }
    .spaceline {
        line-height: 1.3em;
        max-width: revert;
    }
    .container {
        padding-top: 33px;
    }

}